%global pypi_name onigurumacffi
%global python3_pkgversion 38

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        python cffi bindings for the oniguruma regex engine

License:        MIT
URL:            https://github.com/asottile/onigurumacffi
Source0:        %{pypi_source}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cffi >= 1
BuildRequires:  oniguruma-devel >= 6.9.6

Requires:  oniguruma >= 6.9.7.1
Requires:  python%{python3_version}dist(cffi) >= 1

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
python cffi bindings for the oniguruma regex engine

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/__pycache__/%{pypi_name}.cpython-%{python3_version_nodots}{,.opt-?}.pyc
%{python3_sitearch}/_%{pypi_name}*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Jun 21 2021 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Wed Apr 21 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- Initial package.
